Name:           libgit2
Version:        0.28.4
Release:        %mkrel 1
Summary:        C implementation of the Git core methods as a library with a solid API
License:        GPLv2 with exceptions
URL:            http://libgit2.github.com/
Source0:        https://github.com/libgit2/libgit2/archive/v%{version}/%{name}-%{version}.tar.xz
Group:          System/Libraries
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  http-parser-devel
BuildRequires:  libcurl-devel
BuildRequires:  libssh2-devel
BuildRequires:  openssl-devel
BuildRequires:  python
BuildRequires:  zlib-devel
# BuildRequires:  libgit2
Provides:       bundled(libxdiff)

%description
libgit2 is a portable, pure C implementation of the Git core methods 
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries
%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q 
#-p1

# Remove VCS files from examples
find examples -name ".gitignore" -delete -print

# Fix pkgconfig generation
sed -i 's|@CMAKE_INSTALL_PREFIX@/||' libgit2.pc.in

# Don't test network
sed -i 's/ionline/xonline/' CMakeLists.txt

# Remove bundled libraries
rm -frv deps

%build
mkdir %{_target_platform}
pushd %{_target_platform}

# Note to self (MBantz): the cmake makro errors out. Using copy of cmake makrodef. and remove single apostrophes works like below:

cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64 -DCMAKE_INSTALL_LIBEXECDIR:PATH=/usr/libexec -DCMAKE_INSTALL_SYSCONFDIR:PATH=/etc -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING=-DNDEBUG -DCMAKE_C_FLAGS_RELWITHDEBINFO:STRING=-DNDEBUG -DLIB_SUFFIX=64 -DCMAKE_SKIP_RPATH:BOOL=ON -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_MODULE_LINKER_FLAGS=-Wl,--as-needed  -Wl,-z,relro -Wl,-O1 -Wl,--build-id -DBUILD_SHARED_LIBS:BOOL=ON -DBUILD_STATIC_LIBS:BOOL=OFF -DTHREADSAFE=ON ..

popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

# Include previous ABI version for temporary binary compatibility
# cp -a %{_libdir}/libgit2.so.*24* $RPM_BUILD_ROOT%{_libdir}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_libdir}/%{name}.so.*

%files devel
%doc AUTHORS docs examples README.md
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/git2.h
%{_includedir}/git2/

%changelog
* Sat Dec 21 2019 tex - 0.28.4-1pclos2020
- new version

* Mon Dec 02 2019 tex - 0.28.3-2pclos2019
- rebuild against updates

* Mon Nov 04 2019 tex - 0.28.3-1pclos2019
- new version

* Fri Jun 21 2019 tex - 0.28.2-1pclos2019
- new version

* Sat May 25 2019 tex - 0.27.8-2pclos2019
- rebuild against updates

* Sat Feb 02 2019 tex - 0.27.8-1pclos2019
- new version

* Tue Jan 15 2019 tex - 0.26.7-2pclos2019
- rebuild against updates

* Mon Oct 21 2018 MBantz <martin dot bantz at gmail dot com> 0.26.7-1
- Adapted package to PCLinuxOS from Pete Walter pwalter at fedoraproject dot org
